<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: group_by_ip.php
| Author: Philip Daly (HobbyMan)
| Version: v1.0
| Using coding by Nicolae Crefelean (Kneekoo)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require INFUSIONS."user_control/inc/functions_include.php";
add_to_title($locale['global_200'].$locale['uctitle'].$locale['global_200'].$locale['uc028']);

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	    } else {
		$rowstart = 0;
	}

$user_count = dbquery("SELECT COUNT(user_ip) count, user_ip ip FROM ".DB_USERS." WHERE user_level = '101'");

$ips_per_page = (isset($_REQUEST['ips_per_page'])) ? $_REQUEST['ips_per_page'] : "";
   if (!isset($_GET['ips_per_page']) || !preg_match("/^[0-9A-Z]$/", $_GET['ips_per_page'])) { $_GET['ips_per_page'] = "$ips_per_page"; }
 include USER_CONT."inc/user_cont_nav.php";
    echo "<table cellpadding='1' width='80%' border='0' align='center'>\n<tr>\n";
    echo "<th class='tbl2'><b>".$locale['uc028']."</b></th>\n";
    echo "<th class='tbl2' align='right'>".$locale['uc077'].":</th>\n";
    echo "<th class='tbl2'>";
    echo "<form name='ips_per_page' method='post' action='".FUSION_SELF.$aidlink."'>\n";
    echo "<select name='ips_per_page' class='textbox' onChange='submit()'>\n";
    echo "<option value='20'".($ips_per_page == "20" ? " selected" : "").">20</option>\n";
    echo "<option value='40'".($ips_per_page == "40" ? " selected" : "").">40</option>\n";
    echo "<option value='60'".($ips_per_page == "60" ? " selected" : "").">60</option>\n";
    echo "<option value='80'".($ips_per_page == "80" ? " selected" : "").">80</option>\n";
    echo "<option value='100'".($ips_per_page == "100" ? " selected" : "").">100</option>\n";
    echo "</select>\n";
	echo "</form>\n</th>\n";
	echo "</tr>\n</table>\n";

if ($ips_per_page == "") { $ips_per_page = '20'; }

   $getips = dbquery("SELECT 
                             COUNT(user_ip) 
                             count, user_ip ip 
                             FROM ".DB_USERS." 
                             WHERE user_level = '101' 
                             GROUP BY user_ip 
                             ORDER BY count 
                             DESC LIMIT $rowstart,$ips_per_page
                             ");
   $tbl = 1;
   echo "<table class='tbl-border' align='center' cellspacing='1' cellpadding='4'>\n";
   echo "<tr>\n";
   echo "<th class='tbl2'>".$locale['uc026']."</th>\n";
   echo "<th class='tbl2'>".$locale['uc076']."</th>\n";
   echo "<th class='tbl2'>".$locale['uc029']."</th>\n";
   echo "<th class='tbl2'>".$locale['uc031']."</th>\n";
   echo "</tr>\n";
   
   while ($ip = dbarray($getips)) {
   
   $ip_check = dbarray(dbquery("SELECT blacklist_ip FROM ".DB_BLACKLIST." WHERE blacklist_ip = '".$ip['ip']."'"));
   
   if ($ip['count'] > '1') {
   echo "<tr>\n";
   echo "<td class='tbl$tbl'>".$ip['ip']."</td>\n";
   echo "<td class='tbl$tbl' align='center'>".$ip['count']."</td>\n";
   echo "<td class='tbl$tbl' align='center'><a href='".USER_CONT."multi_ip_lookup.php".$aidlink."&amp;user_ip=".$ip['ip']."' title='".$locale['uc024']."'>".$locale['uc024']."</a></td>\n";
   if ($ip_check['blacklist_ip'] == $ip['ip']) { $status = $locale['uc032']; } else { $status = $locale['uc033']; }
   echo "<td class='tbl$tbl small' align='center'>".$status."</td>\n";
   echo "</tr>\n"; }
   $tbl = $tbl == 1 ? 2 : 1;
  }
echo "</table>\n<br />\n";

if ($user_count > $ips_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$ips_per_page,$user_count,3,FUSION_SELF.$aidlink."&amp;ips_per_page=".$ips_per_page."&amp;")."\n</div>\n";
 
require_once THEMES."templates/footer.php";
?>